Package com.io7m.idstore.strings

# Enum Class IdStringConstants

java.lang.Object
java.lang.Enum<IdStringConstants>
com.io7m.idstore.strings.IdStringConstants

All Implemented Interfaces:
  `IdStringConstantType`, `com.io7m.jxtrand.api.JXTStringConstantType`, `Serializable`, `Comparable<IdStringConstants>`, `Constable`

public enum IdStringConstants extends Enum<IdStringConstants> implements com.io7m.jxtrand.api.JXTStringConstantType, IdStringConstantType
Automatically generated - DO NOT EDIT.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADMIN_ID_NAME_DUPLICATE`
  Constant for resource `"admin_id_name_duplicate"`.
  `BANNED`
  Constant for resource `"banned"`.
  `BANNED_NO_EXPIRE`
  Constant for resource `"banned_no_expire"`.
  `CLIENT_SUPPORTS`
  Constant for resource `"client_supports"`.
  `COMMAND_NOT_HERE`
  Constant for resource `"command_not_here"`.
  `CONNECT_FAILURE`
  Constant for resource `"connect_failure"`.
  `DATABASE_CONNECTION_FAILED`
  Constant for resource `"database_connection_failed"`.
  `EMAIL_DUPLICATE`
  Constant for resource `"email_duplicate"`.
  `EMAIL_PASSWORD_RESET_FAILED`
  Constant for resource `"email_password_reset_failed"`.
  `EMAIL_PASSWORD_RESET_SENT`
  Constant for resource `"email_password_reset_sent"`.
  `EMAIL_PASSWORD_RESET_SUCCESS`
  Constant for resource `"email_password_reset_success"`.
  `EMAIL_PASSWORD_RESET_SUCCESS_TITLE`
  Constant for resource `"email_password_reset_success_title"`.
  `EMAIL_PASSWORD_RESET_TITLE`
  Constant for resource `"email_password_reset_title"`.
  `EMAIL_REMOVE_LAST`
  Constant for resource `"email_remove_last"`.
  `EMAIL_VERIFICATION_FAILED`
  Constant for resource `"email_verification_failed"`.
  `EMAIL_VERIFICATION_RATE_LIMITED`
  Constant for resource `"email_verification_rate_limited"`.
  `EMAIL_VERIFICATION_SENT`
  Constant for resource `"email_verification_sent"`.
  `EMAIL_VERIFICATION_SUCCESS`
  Constant for resource `"email_verification_success"`.
  `EMAIL_VERIFICATION_SUCCESS_TITLE`
  Constant for resource `"email_verification_success_title"`.
  `EMAIL_VERIFICATION_TITLE`
  Constant for resource `"email_verification_title"`.
  `ERROR`
  Constant for resource `"error"`.
  `ERROR_DELETE_SELF`
  Constant for resource `"error_delete_self"`.
  `ERROR_INVALID_USERNAME_PASSWORD`
  Constant for resource `"error_invalid_username_password"`.
  `ERROR_IO`
  Constant for resource `"error_io"`.
  `ERROR_LOGIN_NOT_HERE`
  Constant for resource `"error_login_not_here"`.
  `ERROR_MALFORMED_PARAMETER`
  Constant for resource `"error_malformed_parameter"`.
  `ERROR_REASON_CONTENT_TYPE`
  Constant for resource `"error_reason_content_type"`.
  `ERROR_REASON_RESPONSE`
  Constant for resource `"error_reason_response"`.
  `ERROR_REASON_RESPONSE_TYPE`
  Constant for resource `"error_reason_response_type"`.
  `ERROR_SEARCH_START`
  Constant for resource `"error_search_start"`.
  `ERROR_UNEXPECTED_CONTENT_TYPE`
  Constant for resource `"error_unexpected_content_type"`.
  `ERROR_UNEXPECTED_RESPONSE_TYPE`
  Constant for resource `"error_unexpected_response_type"`.
  `EXPECTED_COMMAND`
  Constant for resource `"expected_command"`.
  `EXPECTED_CONTENT_TYPE`
  Constant for resource `"expected_content_type"`.
  `EXPECTED_RESPONSE_TYPE`
  Constant for resource `"expected_response_type"`.
  `HTTP_ERROR`
  Constant for resource `"http_error"`.
  `INVALID_IMAGE`
  Constant for resource `"invalid_image"`.
  `INVALID_PARAMETER`
  Constant for resource `"invalid_parameter"`.
  `LOGIN_FAILED`
  Constant for resource `"login_failed"`.
  `LOGIN_RATE_LIMITED`
  Constant for resource `"login_rate_limited"`.
  `MAIL_SYSTEM_FAILURE`
  Constant for resource `"mail_system_failure"`.
  `MAINTENANCE_MODE_SET_OFF`
  Constant for resource `"maintenance_mode_set_off"`.
  `MAINTENANCE_MODE_SET_ON`
  Constant for resource `"maintenance_mode_set_on"`.
  `MAINTENANCE_MODE_TITLE`
  Constant for resource `"maintenance_mode_title"`.
  `METHOD_NOT_ALLOWED`
  Constant for resource `"method_not_allowed"`.
  `MISSING_PARAMETER`
  Constant for resource `"missing_parameter"`.
  `NO_SUPPORTED_VERSIONS`
  Constant for resource `"no_supported_versions"`.
  `NOT_FOUND`
  Constant for resource `"not_found"`.
  `NOT_LOGGED_IN`
  Constant for resource `"not_logged_in"`.
  `OPERATION_NOT_PERMITTED`
  Constant for resource `"operation_not_permitted"`.
  `PARAMETER`
  Constant for resource `"parameter"`.
  `PASSWORD_RESET_MISMATCH`
  Constant for resource `"password_reset_mismatch"`.
  `PASSWORD_RESET_NONEXISTENT`
  Constant for resource `"password_reset_nonexistent"`.
  `PASSWORD_RESET_RATE_LIMITED`
  Constant for resource `"password_reset_rate_limited"`.
  `PASSWORD_RESET_REQUIRE_PARAMETERS`
  Constant for resource `"password_reset_require_parameters"`.
  `PASSWORD_UPDATE_SUCCESS`
  Constant for resource `"password_update_success"`.
  `PASSWORD_UPDATE_SUCCESS_TITLE`
  Constant for resource `"password_update_success_title"`.
  `PRODUCT_TITLE`
  Constant for resource `"product_title"`.
  `RECEIVED_CONTENT_TYPE`
  Constant for resource `"received_content_type"`.
  `RECEIVED_RESPONSE_TYPE`
  Constant for resource `"received_response_type"`.
  `REQUEST_TOO_LARGE`
  Constant for resource `"request_too_large"`.
  `SERVER_SUPPORTS`
  Constant for resource `"server_supports"`.
  `UNAUTHORIZED`
  Constant for resource `"unauthorized"`.
  `USER_ID_NAME_DUPLICATE`
  Constant for resource `"user_id_name_duplicate"`.
  `USER_NONEXISTENT`
  Constant for resource `"user_nonexistent"`.
  `WAIT_DURATION`
  Constant for resource `"wait_duration"`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdStringConstants`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IdStringConstants[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.jxtrand.api.JXTStringConstantType

  `propertyName`

- ## Enum Constant Details

  - ### ADMIN_ID_NAME_DUPLICATE

    public static final IdStringConstants ADMIN_ID_NAME_DUPLICATE
    Constant for resource `"admin_id_name_duplicate"`.

  - ### BANNED

    public static final IdStringConstants BANNED
    Constant for resource `"banned"`.

  - ### BANNED_NO_EXPIRE

    public static final IdStringConstants BANNED_NO_EXPIRE
    Constant for resource `"banned_no_expire"`.

  - ### CLIENT_SUPPORTS

    public static final IdStringConstants CLIENT_SUPPORTS
    Constant for resource `"client_supports"`.

  - ### COMMAND_NOT_HERE

    public static final IdStringConstants COMMAND_NOT_HERE
    Constant for resource `"command_not_here"`.

  - ### CONNECT_FAILURE

    public static final IdStringConstants CONNECT_FAILURE
    Constant for resource `"connect_failure"`.

  - ### DATABASE_CONNECTION_FAILED

    public static final IdStringConstants DATABASE_CONNECTION_FAILED
    Constant for resource `"database_connection_failed"`.

  - ### EMAIL_DUPLICATE

    public static final IdStringConstants EMAIL_DUPLICATE
    Constant for resource `"email_duplicate"`.

  - ### EMAIL_PASSWORD_RESET_FAILED

    public static final IdStringConstants EMAIL_PASSWORD_RESET_FAILED
    Constant for resource `"email_password_reset_failed"`.

  - ### EMAIL_PASSWORD_RESET_SENT

    public static final IdStringConstants EMAIL_PASSWORD_RESET_SENT
    Constant for resource `"email_password_reset_sent"`.

  - ### EMAIL_PASSWORD_RESET_SUCCESS

    public static final IdStringConstants EMAIL_PASSWORD_RESET_SUCCESS
    Constant for resource `"email_password_reset_success"`.

  - ### EMAIL_PASSWORD_RESET_SUCCESS_TITLE

    public static final IdStringConstants EMAIL_PASSWORD_RESET_SUCCESS_TITLE
    Constant for resource `"email_password_reset_success_title"`.

  - ### EMAIL_PASSWORD_RESET_TITLE

    public static final IdStringConstants EMAIL_PASSWORD_RESET_TITLE
    Constant for resource `"email_password_reset_title"`.

  - ### EMAIL_REMOVE_LAST

    public static final IdStringConstants EMAIL_REMOVE_LAST
    Constant for resource `"email_remove_last"`.

  - ### EMAIL_VERIFICATION_FAILED

    public static final IdStringConstants EMAIL_VERIFICATION_FAILED
    Constant for resource `"email_verification_failed"`.

  - ### EMAIL_VERIFICATION_RATE_LIMITED

    public static final IdStringConstants EMAIL_VERIFICATION_RATE_LIMITED
    Constant for resource `"email_verification_rate_limited"`.

  - ### EMAIL_VERIFICATION_SENT

    public static final IdStringConstants EMAIL_VERIFICATION_SENT
    Constant for resource `"email_verification_sent"`.

  - ### EMAIL_VERIFICATION_SUCCESS

    public static final IdStringConstants EMAIL_VERIFICATION_SUCCESS
    Constant for resource `"email_verification_success"`.

  - ### EMAIL_VERIFICATION_SUCCESS_TITLE

    public static final IdStringConstants EMAIL_VERIFICATION_SUCCESS_TITLE
    Constant for resource `"email_verification_success_title"`.

  - ### EMAIL_VERIFICATION_TITLE

    public static final IdStringConstants EMAIL_VERIFICATION_TITLE
    Constant for resource `"email_verification_title"`.

  - ### ERROR

    public static final IdStringConstants ERROR
    Constant for resource `"error"`.

  - ### ERROR_DELETE_SELF

    public static final IdStringConstants ERROR_DELETE_SELF
    Constant for resource `"error_delete_self"`.

  - ### ERROR_INVALID_USERNAME_PASSWORD

    public static final IdStringConstants ERROR_INVALID_USERNAME_PASSWORD
    Constant for resource `"error_invalid_username_password"`.

  - ### ERROR_IO

    public static final IdStringConstants ERROR_IO
    Constant for resource `"error_io"`.

  - ### ERROR_LOGIN_NOT_HERE

    public static final IdStringConstants ERROR_LOGIN_NOT_HERE
    Constant for resource `"error_login_not_here"`.

  - ### ERROR_MALFORMED_PARAMETER

    public static final IdStringConstants ERROR_MALFORMED_PARAMETER
    Constant for resource `"error_malformed_parameter"`.

  - ### ERROR_REASON_CONTENT_TYPE

    public static final IdStringConstants ERROR_REASON_CONTENT_TYPE
    Constant for resource `"error_reason_content_type"`.

  - ### ERROR_REASON_RESPONSE

    public static final IdStringConstants ERROR_REASON_RESPONSE
    Constant for resource `"error_reason_response"`.

  - ### ERROR_REASON_RESPONSE_TYPE

    public static final IdStringConstants ERROR_REASON_RESPONSE_TYPE
    Constant for resource `"error_reason_response_type"`.

  - ### ERROR_SEARCH_START

    public static final IdStringConstants ERROR_SEARCH_START
    Constant for resource `"error_search_start"`.

  - ### ERROR_UNEXPECTED_CONTENT_TYPE

    public static final IdStringConstants ERROR_UNEXPECTED_CONTENT_TYPE
    Constant for resource `"error_unexpected_content_type"`.

  - ### ERROR_UNEXPECTED_RESPONSE_TYPE

    public static final IdStringConstants ERROR_UNEXPECTED_RESPONSE_TYPE
    Constant for resource `"error_unexpected_response_type"`.

  - ### EXPECTED_RESPONSE_TYPE

    public static final IdStringConstants EXPECTED_RESPONSE_TYPE
    Constant for resource `"expected_response_type"`.

  - ### EXPECTED_COMMAND

    public static final IdStringConstants EXPECTED_COMMAND
    Constant for resource `"expected_command"`.

  - ### EXPECTED_CONTENT_TYPE

    public static final IdStringConstants EXPECTED_CONTENT_TYPE
    Constant for resource `"expected_content_type"`.

  - ### HTTP_ERROR

    public static final IdStringConstants HTTP_ERROR
    Constant for resource `"http_error"`.

  - ### INVALID_IMAGE

    public static final IdStringConstants INVALID_IMAGE
    Constant for resource `"invalid_image"`.

  - ### INVALID_PARAMETER

    public static final IdStringConstants INVALID_PARAMETER
    Constant for resource `"invalid_parameter"`.

  - ### LOGIN_FAILED

    public static final IdStringConstants LOGIN_FAILED
    Constant for resource `"login_failed"`.

  - ### LOGIN_RATE_LIMITED

    public static final IdStringConstants LOGIN_RATE_LIMITED
    Constant for resource `"login_rate_limited"`.

  - ### MAIL_SYSTEM_FAILURE

    public static final IdStringConstants MAIL_SYSTEM_FAILURE
    Constant for resource `"mail_system_failure"`.

  - ### MAINTENANCE_MODE_SET_OFF

    public static final IdStringConstants MAINTENANCE_MODE_SET_OFF
    Constant for resource `"maintenance_mode_set_off"`.

  - ### MAINTENANCE_MODE_SET_ON

    public static final IdStringConstants MAINTENANCE_MODE_SET_ON
    Constant for resource `"maintenance_mode_set_on"`.

  - ### MAINTENANCE_MODE_TITLE

    public static final IdStringConstants MAINTENANCE_MODE_TITLE
    Constant for resource `"maintenance_mode_title"`.

  - ### METHOD_NOT_ALLOWED

    public static final IdStringConstants METHOD_NOT_ALLOWED
    Constant for resource `"method_not_allowed"`.

  - ### MISSING_PARAMETER

    public static final IdStringConstants MISSING_PARAMETER
    Constant for resource `"missing_parameter"`.

  - ### NO_SUPPORTED_VERSIONS

    public static final IdStringConstants NO_SUPPORTED_VERSIONS
    Constant for resource `"no_supported_versions"`.

  - ### NOT_FOUND

    public static final IdStringConstants NOT_FOUND
    Constant for resource `"not_found"`.

  - ### NOT_LOGGED_IN

    public static final IdStringConstants NOT_LOGGED_IN
    Constant for resource `"not_logged_in"`.

  - ### OPERATION_NOT_PERMITTED

    public static final IdStringConstants OPERATION_NOT_PERMITTED
    Constant for resource `"operation_not_permitted"`.

  - ### PARAMETER

    public static final IdStringConstants PARAMETER
    Constant for resource `"parameter"`.

  - ### PASSWORD_RESET_MISMATCH

    public static final IdStringConstants PASSWORD_RESET_MISMATCH
    Constant for resource `"password_reset_mismatch"`.

  - ### PASSWORD_RESET_NONEXISTENT

    public static final IdStringConstants PASSWORD_RESET_NONEXISTENT
    Constant for resource `"password_reset_nonexistent"`.

  - ### PASSWORD_RESET_RATE_LIMITED

    public static final IdStringConstants PASSWORD_RESET_RATE_LIMITED
    Constant for resource `"password_reset_rate_limited"`.

  - ### PASSWORD_RESET_REQUIRE_PARAMETERS

    public static final IdStringConstants PASSWORD_RESET_REQUIRE_PARAMETERS
    Constant for resource `"password_reset_require_parameters"`.

  - ### PASSWORD_UPDATE_SUCCESS

    public static final IdStringConstants PASSWORD_UPDATE_SUCCESS
    Constant for resource `"password_update_success"`.

  - ### PASSWORD_UPDATE_SUCCESS_TITLE

    public static final IdStringConstants PASSWORD_UPDATE_SUCCESS_TITLE
    Constant for resource `"password_update_success_title"`.

  - ### PRODUCT_TITLE

    public static final IdStringConstants PRODUCT_TITLE
    Constant for resource `"product_title"`.

  - ### RECEIVED_RESPONSE_TYPE

    public static final IdStringConstants RECEIVED_RESPONSE_TYPE
    Constant for resource `"received_response_type"`.

  - ### RECEIVED_CONTENT_TYPE

    public static final IdStringConstants RECEIVED_CONTENT_TYPE
    Constant for resource `"received_content_type"`.

  - ### REQUEST_TOO_LARGE

    public static final IdStringConstants REQUEST_TOO_LARGE
    Constant for resource `"request_too_large"`.

  - ### SERVER_SUPPORTS

    public static final IdStringConstants SERVER_SUPPORTS
    Constant for resource `"server_supports"`.

  - ### UNAUTHORIZED

    public static final IdStringConstants UNAUTHORIZED
    Constant for resource `"unauthorized"`.

  - ### USER_ID_NAME_DUPLICATE

    public static final IdStringConstants USER_ID_NAME_DUPLICATE
    Constant for resource `"user_id_name_duplicate"`.

  - ### USER_NONEXISTENT

    public static final IdStringConstants USER_NONEXISTENT
    Constant for resource `"user_nonexistent"`.

  - ### WAIT_DURATION

    public static final IdStringConstants WAIT_DURATION
    Constant for resource `"wait_duration"`.

- ## Method Details

  - ### values

    public static IdStringConstants[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IdStringConstants valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null